.dg.ac {
    z-index: 9999;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Opera and Firefox */
  }

.customizer-loading.html,
.customizer-loading body,
.customizer-loaded.html,
.customizer-loaded body,
.customizer-ending.html,
.customizer-ending body {
    overflow: hidden;
}

.customizer-canvas-wrapper,
.customizer-ui-wrapper {
    visibility: visible;
    opacity   : 1;
    transition: opacity 700ms, visibility 0s;
}

html:not(.customizer-loaded):not(.customizer-ending) .customizer-canvas-wrapper,
html:not(.customizer-loaded):not(.customizer-ending) .customizer-ui-wrapper {
    opacity   : 0;
    visibility: hidden;
}

.customizer-progress-bar,
.customizer-outro {
    position       : absolute;
    display        : flex;
    align-items    : center;
    justify-content: center;
    flex-direction : column;
    visibility     : hidden;
    opacity        : 0;
    top            : 0;
    left           : 0;
    height         : 100%;
    width          : 100vw;
    z-index        : 1001;
    color          : white;
    transition     : opacity 400ms, visibility 0ms 400ms;
}

.customizer-progress-bar-text {
    color     : #fff;
    text-align: center;
    font-size : 36px;
}

.customizer-progress-bar-line {
    width     : 125px;
    height    : 12px;
    background: #c5d7d5;
    overflow  : hidden;
    margin    : 35px auto 0;
    position  : relative;
}

.customizer-current-progress {
    position  : absolute;
    width     : 0;
    height    : 100%;
    background: white;
    transition: width 200ms, all 0s;
}

.pins-admin-gui {
    position   : fixed;
    bottom     : 0;
    left       : 0;
    width      : 150px;
    background : black;
    color      : white;
    font-size  : 14px;
    line-height: 1.5;
    padding    : 20px;
    z-index    : 9999;
}

/* pins */
.customizer-pins-bg{
    background-color: rgba(255, 255, 255, 0.75);
    // background-color: rgba(0, 0, 0, 0.5);
}

.customizer-pins--wrapper {
    @extend .customizer-pins-bg;
    position: absolute;
    padding: 5px;
    border-radius: 0% 20px 20px 20px;
    top: 60px;
    left: 60px;
    display: flex;
    height: 30px;
    opacity: 1;
    visibility: visible;
    transition: opacity 200ms;
    cursor: pointer;

    &:hover{
        .customizer-pins--text-wrapper{
            width: inherit;
            opacity: 1;
            padding: 0 10px;
            transition: width 200ms, padding 200ms, opacity 200ms 100ms;
           
        }
    }
}

.hide-pins .customizer-pins--wrapper{
    opacity: 0;
    visibility: hidden;
    transition: opacity 200ms, visibility 0s 200ms;
}

.customizer-pins--invisible{
    display: none !important;
    visibility: hidden !important;
    opacity: 0 !important;
}

.customizer-pins--color-group {
    position     : relative;
    width        : 30px;
    height       : 30px;
    transform    : rotate(45deg);
    border       : 0px solid transparent;
    border-radius: 50%;
    overflow     : hidden;
}

.customizer-pins--color-group.color-group-count-2{
    .customizer-pins--color-item{
        &:nth-of-type(1){
            left: -15px;
        }
        &:nth-of-type(2){
            left: 15px;
        }
    }
}

.customizer-pins--color-item {
    position        : absolute;
    left            : 0;
    top             : 0;
    width           : 30px;
    height          : 30px;
    content         : "";
    background-color: black;
}

.customizer-pins--text-wrapper{
    position: relative;
    color: black;
    text-align: center;
    font-size: 14px;
    line-height: 30px; /* fixed, dont change */
    text-transform: capitalize;
    width: 0;
    opacity: 0;
    padding: 0;
    white-space: nowrap;
    transition: width 200ms, padding 200ms, opacity 0ms;
}